
package com.ejie.ab61.clientesWS.X43CuentasInteresados;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "X43aWsRriPublicService", targetNamespace = "com/ejie/x43a/rri/ws", wsdlLocation = "META-INF/wsdls/X43CuentasInteresados.wsdl")
public class X43AWsRriPublicService_Service
    extends Service
{

    private final static URL X43AWSRRIPUBLICSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.X43CuentasInteresados.X43AWsRriPublicService_Service.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.X43CuentasInteresados.X43AWsRriPublicService_Service.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/X43CuentasInteresados.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43CuentasInteresados.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        X43AWSRRIPUBLICSERVICE_WSDL_LOCATION = url;
    }

    public X43AWsRriPublicService_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public X43AWsRriPublicService_Service() {
        super(X43AWSRRIPUBLICSERVICE_WSDL_LOCATION, new QName("com/ejie/x43a/rri/ws", "X43aWsRriPublicService"));
    }

    /**
     * 
     * @return
     *     returns X43AWsRriPublicService
     */
    @WebEndpoint(name = "X43aWsRriPublicServicePort")
    public X43AWsRriPublicService getX43AWsRriPublicServicePort() {
        return super.getPort(new QName("com/ejie/x43a/rri/ws", "X43aWsRriPublicServicePort"), X43AWsRriPublicService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns X43AWsRriPublicService
     */
    @WebEndpoint(name = "X43aWsRriPublicServicePort")
    public X43AWsRriPublicService getX43AWsRriPublicServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/x43a/rri/ws", "X43aWsRriPublicServicePort"), X43AWsRriPublicService.class, features);
    }

}
